
ACSA HK Bill Payment SDK - Bug #12957

[DEV - API] performBillPayment

07 January 2022 06:36 PM - Jun Hui  Yap

Status: Closed Start date: 07 January 2022

Priority: Normal Due date:  

Assignee: Jun Hui  Yap % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Step 1 - Call performBillPayment to create a scheduled payment and register the bill.

Step 2 - Scheduled Payment is successfully created and bill is registered.

Step 3 - Call getBillList to know the billId of the registered bill that performed in step 1 performBillPayment

Step 4 - Call getBillPayment and with billId that get in step 3

Issue: Unable to retrieve the Scheduled Payment that created in Step 1.

History

#1 - 12 January 2022 10:43 AM - Lim Sze Xiang

- Status changed from New to Assigned

- Assignee changed from Lim Sze Xiang to Shafiqah Rahni

After create a new registered bill when performBillPayment, need to insert back the newly created bill id into bill_payment table

#2 - 12 January 2022 06:40 PM - Shafiqah Rahni

- Status changed from Assigned to Resolved

- Assignee changed from Shafiqah Rahni to Lim Sze Xiang

- % Done changed from 0 to 100

Fixed. Added billId into the billPayment table

Revision: 215761

----

Modified : /ACSA/BillPaymentAPI/trunk/src/main/java/com/silverlake/mobility/billing/service/BillPaymentService.java

#3 - 19 January 2022 11:27 AM - Lim Sze Xiang

- Assignee changed from Lim Sze Xiang to Jun Hui  Yap

#4 - 20 January 2022 11:56 AM - Jun Hui  Yap

- File 12957.png added

- Status changed from Resolved to Closed

Tested good.

Files

12957.png 51.3 KB 20 January 2022 Jun Hui  Yap
